E-MailRelay

Public Member Functions | List of all members
GSsl::OpenSSL::CertificateChain Class Reference

Holds a certificate chain taken from a stack of OpenSSL X509 structures. More...

`#include <gssl_openssl.h>`

## Public Member Functions
| CertificateChain (STACK_OF(X509) *chain)
std::string | str () const

## Detailed Description

Holds a certificate chain taken from a stack of OpenSSL X509 structures.

Definition at line 113 of file gssl_openssl.h.

## Constructor & Destructor Documentation

## ◆ CertificateChain()

GSsl::OpenSSL::CertificateChain::CertificateChain | ( | STACK_OF(X509) * | chain | ) |
| explicit

Definition at line 812 of file gssl_openssl.cpp.

## Member Function Documentation

## ◆ str()

std::string GSsl::OpenSSL::CertificateChain::str | ( |  | ) | const

Definition at line 822 of file gssl_openssl.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gssl/gssl_openssl.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gssl/gssl_openssl.cpp